import { useEffect, useRef } from 'react';
var useUpdateEffect = function useUpdateEffect(effect, deps) {
  var isMounted = useRef(false);

  // for react-refresh
  useEffect(function () {
    return function () {
      isMounted.current = false;
    };
  }, []);
  useEffect(function () {
    if (!isMounted.current) {
      isMounted.current = true;
    } else {
      return effect();
    }
    return undefined;
  }, deps);
};
export default useUpdateEffect;