"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.renderToContainer = renderToContainer;
function _reactDom() {
  var data = require("react-dom");
  _reactDom = function _reactDom() {
    return data;
  };
  return data;
}
var _getContainer = require("./getContainer");
var _canUseDom = _interopRequireDefault(require("./canUseDom"));
function renderToContainer(getContainer, node) {
  if (_canUseDom.default && getContainer) {
    var container = (0, _getContainer.resolveContainer)(getContainer);
    return /*#__PURE__*/(0, _reactDom().createPortal)(node, container);
  }
  return node;
}