"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = useRefState;
function _slicedToArray2() {
  var data = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));
  _slicedToArray2 = function _slicedToArray2() {
    return data;
  };
  return data;
}
function _react() {
  var data = require("react");
  _react = function _react() {
    return data;
  };
  return data;
}
var _utils = require("../utils");
function useRefState(initialState) {
  var _useState = (0, _react().useState)(initialState),
    _useState2 = (0, _slicedToArray2().default)(_useState, 2),
    state = _useState2[0],
    setState = _useState2[1];
  var ref = (0, _react().useRef)(state);
  var setRefState = (0, _react().useCallback)(function (patch) {
    setState(function (prevState) {
      // eslint-disable-next-line no-return-assign
      return ref.current = (0, _utils.isFunction)(patch) ? patch(prevState) : patch;
    });
  }, [state]);
  return [state, setRefState, ref];
}